.print-only{display: none;}
.padding-0 {padding-left: 0!important;padding-right: 0!important;}
.label-as-badge {border-radius: 1em;}

.text-red {color:red}
.text-green {color:green}
.text-orange {color:orange}
.text-blue {color:blue}
.text-black {color:black}
.text-yellow {color:yellow}
.text-aqua {
  color: aqua;
}
.text-navy {
  color: navy ;
}
.text-lime {
  color: lime ;
}
.text-purple {
  color: purple ;
}
.text-alt-red {
  color: #dd4b39 !important;
}
.text-alt-yellow {
  color: #f39c12 !important;
}
.text-alt-aqua {
  color: #00c0ef !important;
}
.text-alt-blue {
  color: #0073b7 !important;
}
.text-alt-black {
  color: #111111 !important;
}
.text-light-blue {
  color: #3c8dbc !important;
}
.text-alt-green {
  color: #00a65a !important;
}
.text-alt-gray {
  color: #d2d6de !important;
}
.text-alt-navy {
  color: #001f3f !important;
}
.text-alt-teal {
  color: #39cccc !important;
}
.text-alt-olive {
  color: #3d9970 !important;
}
.text-alt-lime {
  color: #01ff70 !important;
}
.text-alt-orange {
  color: #ff851b !important;
}
.text-alt-fuchsia {
  color: #f012be !important;
}
.text-alt-purple {
  color: #605ca8 !important;
}
.text-alt-maroon {
  color: #d81b60 !important;
}

.bg-red  {background-color: red;}
.bg-green  {background-color: green;}
.bg-orange  {background-color: orange;}
.bg-blue  {background-color: blue;}
.bg-black  {background-color: black;}
.bg-yellow  {background-color: yellow;}
.bg-aqua {
  background-color: aqua;
}
.bg-navy {
  background-color: navy ;
}
.bg-lime {
  background-color: lime ;
}
.bg-purple {
  background-color: purple ;
}
.bg-secondary {background-color: #7eb5f3; color: #fff;}

.label-secondary {background-color: purple; color:white;}
.label-red  {background-color: red; color:white;}
.label-green  {background-color: green; color:white;}
.label-orange  {background-color: orange; color:white;}
.label-blue  {background-color: blue; color:white;}
.label-black  {background-color: black; color:white;}
.label-yellow  {background-color: yellow; color:black;}
.label-pink  {background-color: #FFC0CB; color:white;}

.bg-priority {background-color: #F00; color: white;}
.bg-priority-0 {background-color: #CCC; color: white;}
.bg-priority-1 {background-color: #0F0; color: white;}
.bg-priority-2 {background-color: #008000; color: white;}
.bg-priority-3 {background-color: #FF0; color: black;}
.bg-priority-4 {background-color: #FA0; color: white;}
.bg-priority-5 {background-color: #F00; color: white;}

.avatar-small{
    width:50px;
    height:50px;
}
.avatar-medium{
    width:75px;
    height:75px;
}
.avatar-large{
    width:120px;
    height:120px;
}

.panel-secondary {
    border-color: #7eb5f3;
}
.panel-secondary>.panel-heading {
    color: #ffffff;
    background-color: #7eb5f3;
    border-color: #7eb5f3;
}

a[href^="tel:"]:before {
  content: "\260e";
  margin-right: 0.5em;
}

.text-truncate {
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}
/*my generic  bootstrap helper*/
.list-group-item.active .btn-link {color: white;}
.list-condensed li{padding-top: 4px; padding-bottom: 4px;}
.list-group-item-highlight {
    background-color: #ddd;
    border-left: 4px solid;
}
.list-group-condensed .list-group-item {
    padding: 3px 10px
}
.form-group output{
    padding-top: 5px;
    margin-bottom: 5px;
    font-weight:bold;
    line-height: 20px;
    display: block;
}


.form-condensed summary,
.form-condensed legend{margin-bottom: 0;line-height: 30px;}
.form-condensed legend + .form-group{ margin-top: 0;}
.form-condensed .form-group{ margin-bottom: 2px;}
.form-condensed label{margin-bottom: 0;}
.form-condensed .form-control-static{margin-bottom: 0;}
.form-condensed output{margin-bottom: 0;}
.form-condensed .radio,.form-condensed  .checkbox {margin-top: 1px; margin-bottom: 1px;}

/*.form-horizontal.form-condensed .form-group {margin-bottom: 4px;}*/
.form-horizontal.form-condensed .form-control-static{padding-top: 4px;    padding-bottom: 6px;}

@media (min-width: 768px){
  .form-horizontal.form-condensed .control-label {
    margin-bottom: 0;
    padding-top: 7px;
  }
}


@media (min-width: 768px){ .navbar-fixed-top { position: fixed; } }
@media (max-width: 768px){ .navbar-fixed-top { position: static;} }

.nav-list .divider {
  *width: 100%;
  height: 3px;
  margin: ((1.428571429 / 2) - 1) 1px; 
  *margin: -5px 0 5px;
  overflow: hidden;
  background-color: #428bca;
  border-bottom: 1px solid white;
}

.list-group-item-header,
.nav-header {
  display: block;
  padding: 3px 15px;
  /*font-size: 11px;*/
  font-weight: bold;
  line-height: 1.428571429;
  color: #999;
  /*text-shadow: 0 1px 0 rgba(255,255,255,.5);*/
  text-transform: uppercase;
  border-bottom: 3px solid #428bca;
}
 /*Space them out when they follow another list item (link)*/
.nav li + .nav-header {
  margin-top: 9px;
}



.btn-round{border-radius: 17px;}
.btn-rounded{border-radius: 8px;}
.btn-lg.btn-round{ border-radius: 24px;}
.btn-lg.btn-rounded{ border-radius: 12px;}
.btn-sm.btn-round{border-radius: 14px;}
.btn-sm.btn-rounded{border-radius: 7px;}
.btn-xs.btn-round{border-radius: 11px;}
.btn-xs.btn-rounded{border-radius: 5px;}
.btn-sharp {border-radius:0;}
.btn-outline {background: none;padding: 12px 22px;}
.btn-padded {margin: 6px 12px;}
.fab {
  background: #03A9F4;
  width: 39px;
  height: 39px;
  border-radius: 50%;
  text-align: center;
  color: #FFF;
  box-shadow: 0px 0px 3px rgba(0, 0, 0, 0.5), 3px 3px 3px rgba(0, 0, 0, 0.25);
  position: fixed;
  bottom: 24px;
  right: 48px;
  font-size: 1.6667em;
  display: inline-block;
  cursor: pointer;
}
.fab span {
  vertical-align: middle;
}
.fab.child {
  right: 48px;
  width: 42px;
  height: 42px;
  display: none;
  opacity: 0;
}
.fab-backdrop {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: #ECECEC;
  opacity: 0.9;
  display: none;
}
@-webkit-keyframes pulse_element_animation 
{       
0% {-webkit-transform: scale(0); opacity: 0;}
8% {-webkit-transform: scale(0); opacity: 0;}
15% {-webkit-transform: scale(0.1); opacity: 1;}
30% {-webkit-transform: scale(0.5); opacity: 1;}
100% {opacity: 0; -webkit-transform: scale(1);}
}

@-moz-keyframes pulse_element_animation 
{       
0% {-moz-transform: scale(0); opacity: 0;}
8% {-moz-transform: scale(0); opacity: 0;}
15% {-moz-transform: scale(0.1); opacity: 1;}
30% {-moz-transform: scale(0.5); opacity: 1;}
100% {opacity: 0; -moz-transform: scale(1);}
}
.pulse-element 
{
-webkit-animation: pulse_element_animation 2s linear infinite;
-moz-animation: pulse_element_animation 2s linear infinite; 
border-image: initial;
}
  
  
@keyframes heartbeat_animation {
    0% { transform: scale(1); }
    30% { transform: scale(1); }
    40% { transform: scale(1.08); }
    50% { transform: scale(1); }
    70% { transform: scale(1.05); }
    80% { transform: scale(1); }
    100% { transform: scale(1); }
}

.heartbeat {
    animation-name: heartbeat_animation;
    animation-duration: 5000ms;
    transform-origin:70% 70%;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}

.pulsate{
    -webkit-animation-name: pulsate_animation;
    -webkit-animation-duration: 3s;
    -webkit-animation-timing-function: ease-in-out;
    -webkit-animation-iteration-count: infinite
}
@-webkit-keyframes pulsate_animation {
    0% { opacity: 0.0}
    20% { opacity: .40 }
    50% { opacity: 1.0}
    60% { opacity: .80}
    80% { opacity: .40}
    100% {  opacity: 0.0}
}


/*PULSE*/
.pulse {
  box-shadow: 0 0 0 rgba(204,169,44, 0.4);
  animation: pulse_animation 2s infinite;
}
.pulse:hover {animation: none;}

@-webkit-keyframes pulse_animation {
  0% {
    -webkit-box-shadow: 0 0 0 0 rgba(204,169,44, 0.4);
  }
  70% {
      -webkit-box-shadow: 0 0 0 10px rgba(204,169,44, 0);
  }
  100% {
      -webkit-box-shadow: 0 0 0 0 rgba(204,169,44, 0);
  }
}
@keyframes pulse_animation {
  0% {
    -moz-box-shadow: 0 0 0 0 rgba(204,169,44, 0.4);
    box-shadow: 0 0 0 0 rgba(204,169,44, 0.4);
  }
  70% {
      -moz-box-shadow: 0 0 0 10px rgba(204,169,44, 0);
      box-shadow: 0 0 0 10px rgba(204,169,44, 0);
  }
  100% {
      -moz-box-shadow: 0 0 0 0 rgba(204,169,44, 0);
      box-shadow: 0 0 0 0 rgba(204,169,44, 0);
  }
}

/*SPINNER*/
.spinning {
    animation: spin_animation 1s infinite linear;
}
@keyframes spin_animation {
    from { transform: scale(1) rotate(0deg); }
    to { transform: scale(1) rotate(360deg); }
}

@-webkit-keyframes spin_animation {
    from { -webkit-transform: rotate(0deg); }
    to { -webkit-transform: rotate(360deg); }
}
.snackbar {
  border-radius: 2px;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
  height: 0;
  -moz-transition: -moz-transform 0.2s ease-in-out, opacity 0.2s ease-in, height 0 linear 0.2s, padding 0 linear 0.2s, height 0 linear 0.2s;
  -webkit-transition: -webkit-transform 0.2s ease-in-out, opacity 0.2s ease-in, height 0 linear 0.2s, padding 0 linear 0.2s, height 0 linear 0.2s;
  transition: transform 0.2s ease-in-out, opacity 0.2s ease-in, height 0 linear 0.2s, padding 0 linear 0.2s, height 0 linear 0.2s;
  -moz-transform: translateY(200%);
  -webkit-transform: translateY(200%);
  transform: translateY(200%);
  background-color: #323232;
}
.snackbar-default {
  color: #FFFFFF;
}

.snackbar.snackbar-opened {
  padding: 4px 12px;
  margin-bottom: 20px;
  height: auto;
  -moz-transition: -moz-transform 0.2s ease-in-out, opacity 0.2s ease-in, height 0 linear 0.2s;
  -webkit-transition: -webkit-transform 0.2s ease-in-out, opacity 0.2s ease-in, height 0 linear 0.2s;
  transition: transform 0.2s ease-in-out, opacity 0.2s ease-in, height 0 linear 0.2s, height 0 linear 0.2s;
  -moz-transform: none;
  -webkit-transform: none;
  transform: none;
}
.snackbar.toast {
  border-radius: 200px;
}
